/*
 * Copyright (c) 1997, 2018 Oracle and/or its affiliates. All rights reserved.
 *
 * This program and the accompanying materials are made available under the
 * terms of the Eclipse Public License v. 2.0, which is available at
 * http://www.eclipse.org/legal/epl-2.0.
 *
 * This Source Code may also be made available under the following Secondary
 * Licenses when the conditions for such availability set forth in the
 * Eclipse Public License v. 2.0 are satisfied: GNU General Public License,
 * version 2 with the GNU Classpath Exception, which is available at
 * https://www.gnu.org/software/classpath/license.html.
 *
 * SPDX-License-Identifier: EPL-2.0 OR GPL-2.0 WITH Classpath-exception-2.0
 */

package javax.faces.flow;

/**
 * <p class="changed_added_2_2"><strong>ViewNode</strong> is the class
 * that represents a VDL view in a faces flow graph.</p>
 *
 * @since 2.2
 */

public abstract class ViewNode extends FlowNode {
    
    
    /**
     * <p class="changed_added_2_2">Return the immutable VDL document id
     * for this view node.  This is normally the path to the VDL page
     * that defines this view node.  This must be unique within the
     * flow.</p>
     * @since 2.2
     * 
     * @return the VDL document id
     */
    public abstract String getVdlDocumentId();

}
